#include <algorithm>
#include <iostream>
#include <iterator>
using namespace std;

int main() {
	int f[] = { 5, 3, 8, 0, 1, 2, 6, 7 };
	const int n = sizeof f / sizeof *f;
	cout << "f =  ";
	copy(f, f + n, ostream_iterator<int>(cout, "  "));
	make_heap(f, f + n);
	cout << "\nmake_heap =  ";
	copy(f, f + n, ostream_iterator<int>(cout, "  "));
	pop_heap(f, f + n);
	cout << "\npop_heap =  ";
	copy(f, f + n - 1, ostream_iterator<int>(cout, "  "));
	cout << "und " << f[n - 1];
	f[n - 1] = 4;  // einzufgendes Element
	push_heap(f, f + n);
	cout << "\npush_heap =  ";
	copy(f, f + n, ostream_iterator<int>(cout, "  "));
	sort_heap(f, f + n);
	cout << "\nsort_heap =  ";
	copy(f, f + n, ostream_iterator<int>(cout, "  "));
}
