#include <algorithm>
#include <functional>
#include <iostream>
#include <iterator>
using namespace std;

int main() {
	const int f[] = { 0, 1, 2, 2, 4, 4, 6 };
	copy(f, f + 7, ostream_iterator<int>(cout, "  "));
	const int* const ci = lower_bound(f, f + 7, 2);
	if (ci != f + 7 && *ci == 2)
		cout << "\n2 erstmals bei Index " << (ci - f) << " gefunden.\n";
	int g[8] = { 6, 4, 4, 3, 3, 1, 0 };
	copy(g, g + 7, ostream_iterator<int>(cout, "  "));
	int* const i = lower_bound(g, g + 7, 2, greater<int>());
	cout << "\n2 kann erstmals bei Index " << (i - g) << " eingefgt werden.\n";
	*copy_backward(i, g + 7, g + 8) = 2;
	copy(g, g + 8, ostream_iterator<int>(cout, "  "));
}
