#include <set>
#include <iostream>
using namespace std;

int main() {
	const int f[] = { 1, 3, 5, 6, 4, 2, 3, 4 };
	typedef multiset<int, greater<int> > int_multiset;
	int_multiset s(f, f + 8);
	int_multiset::iterator ins = s.insert(2);
	s.insert(ins, 3);
	cout << "Folgende Elemente sind enhalten:  ";
	for (int_multiset::const_iterator i = s.begin(); i != s.end(); ++i)
		cout << *i << "  ";
	cout << "\n3 ist " << s.count(3) << "-mal enthalten.\n";
	const int_multiset::size_type n = s.erase(2);
	cout << "2 wurde " << n << "-mal gelscht.\n";
}
