#include <vector>
#include <iostream>
using namespace std;

template<class T>
ostream& operator<<(ostream& os, const vector<T>& v) {
	for (typename vector<T>::const_iterator i = v.begin(); i != v.end(); ++i)
		os << *i << "  ";
	return os;
}

int main() {
	vector<int> v;
	if (v.empty()) cout << "v ist noch leer.\n";
	for (int i = 1; i <= 5; ++i) v.push_back(i);
	cout << "v =  " << v << endl;
	cout << "v enthlt " << v.size() << " Elemente.\n";
	cout << "v knnte maximal " << v.max_size() << " Elemente beinhalten.\n";
	vector<int> w(v);
	w.push_back(9);
	if (v < w) cout << "v ist kleiner als w.\n";
	v.swap(w);
	cout << "v und w haben ihre Elemente getauscht.\n";
	cout << "w =  " << w << endl;
}
