#include <vector>
#include <iomanip>
#include <iostream>
#include <iterator>
using namespace std;

void info(const vector<int>& v) {
	cout << v.size() << "  " << setw(2) << v.capacity() << ":  ";
	copy(v.begin(), v.end(), ostream_iterator<int>(cout, "  "));
	cout << endl;
}

int main() {
	vector<int> v;
	info(v);
	v.reserve(6);
	info(v);
	const int f[] = { 1, 2, 3, 4, 5, 6, 7 };
	v.assign(f, f + 4);
	info(v);
	v.resize(2);
	info(v);
	v.assign(3U, 9);
	info(v);
	v.resize(5, 7);
	info(v);
	v.insert(v.end(), f, f + 2);
	info(v);
}
