#include <iostream>
#include <vector>
#include "../../einsatz/aktie.h"
#include "../../einsatz/anleihe.h"
using namespace std;

template<class T>
class ZgrVector {
public:
	void push_back(T* z) { v.push_back(z); }
	const T* back() const { return static_cast<const T*>(v.back()); }
	// ...
private:
	vector<void*> v;
};

int main() {
	ZgrVector<Aktie> aktien;
	aktien.push_back(new Aktie("514000", "Deutsche Bank", 72.75, 1.30));
	cout << *aktien.back() << endl;
	ZgrVector<Anleihe> anleihen;
	anleihen.push_back(new Anleihe("113518", "Bds.Rep.Dt.Anl.V.01", 5.00, "04.07.2011"));
	cout << *anleihen.back() << endl;
}
