#include <valarray>
#include <iostream>
using namespace std;

template<class T>
ostream& operator<<(ostream& os, const valarray<T>& v) {
	for (size_t i = 0; i < v.size(); ++i)
		os << v[i] << "  ";
	return os;
}

int main() {
	const int s = 3, z = 4;
	valarray<int> m(z * s);
	for (size_t i = 0; i < m.size(); ++i)
		m[i] = i;
	cout << "m  = " << m << endl;
	for (int i = 0; i < z; ++i)
		cout << 'z' << i << " = "
			<< valarray<int>(m[slice(i * s, m.size() / z, 1)]) << '\n';
	for (int j = 0; j < s; ++j)
		cout << 's' << j << " = "
			<< valarray<int>(m[slice(j, m.size() / s, s)]) << '\n';
}
