#include <algorithm>
#include <functional>
#include <iostream>
#include <iterator>
using namespace std;

int main() {
	const int f[] = { 0, 1, 2, 2, 2, 4, 4, 6 };
	copy(f, f + 8, ostream_iterator<int>(cout, "  "));
	pair<const int*, const int*> p = equal_range(f, f + 8, 2);
	cout << "\n2 kann im Bereich von " << distance(f, p.first) << " bis "
		<< distance(f, p.second) << " eingefgt werden.\n";
	cout << "Demnach gibt es " << distance(p.first, p.second)
		<< " Elemente mit dem Wert 2.\n";
	const int g[] = { 6, 4, 4, 3, 3, 1, 0 };
	copy(g, g + 7, ostream_iterator<int>(cout, "  "));
	p = equal_range(g, g + 7, 2, greater<int>());
	cout << "\n2 kann im Bereich von " << distance(g, p.first) << " bis "
		<< distance(g, p.second) << " eingefgt werden.\n";
}
