#include <algorithm>
#include <iostream>
#include <iterator>
using namespace std;

template<int n> struct Fakultaet {
	enum { wert = n * Fakultaet<n - 1>::wert };
};

template<> struct Fakultaet<0> {
	enum { wert = 1 };
};

int main() {
	int f[] = { 3, 2, 1 };
	const int n = sizeof f / sizeof *f;
	int i = Fakultaet<n>::wert;
	do {
		cout << i-- << ". Permutation:  ";
		copy(f, f + n, ostream_iterator<int>(cout, "  "));
		cout << '\n';
	} while (prev_permutation(f, f + n));
}
