#include <functional>
#include <algorithm>
using namespace std;

class Angestellter {
public:
	explicit Angestellter(double g) : gehalt(g) { }
	double erhoeheGehalt(double x) { return gehalt += x; }
private:
	double gehalt;
};

int main() {
	Angestellter* angestellte[] =
		{ new Angestellter(2000), new Angestellter(3000) };
	const int n = sizeof angestellte / sizeof *angestellte;
	for_each(angestellte, angestellte + n,
		bind2nd(mem_fun(&Angestellter::erhoeheGehalt), 100));
}
