#include <iostream>
#include <limits>
#include <string>
using namespace std;

class Artikel {
public:
	Artikel(const string& bez, double p) : bezeichnung(bez), preis(p) { }
	friend ostream& operator<<(ostream& os, const Artikel& a)
		{ return os << a.bezeichnung << '\t' << a.preis << " EUR"; }
	friend istream& operator>>(istream& is, Artikel& a) {
		getline(is, a.bezeichnung, '\t');
		is >> a.preis;
		return is.ignore(numeric_limits<streamsize>::max(), '\n');
	}
private:
	string bezeichnung;
	double preis;
};

int main() {
	Artikel a("Zeitung", 2.53);
	cout << "Artikel: " << a << endl;
	cout << "Bitte einen Artikel eingeben (Bezeichnung, Tabulator, Preis):\n";
	cin >> a;
	// ...
}
