#include <algorithm>
#include <cctype>
#include <iostream>
#include <iterator>
#include <string>
using namespace std;

int main() {
	const char text[] = "Dies ist ein String.";
	string s(text, text + sizeof text - 1);
	string::iterator i = find(s.begin(), s.end(), '.');
	if (i != s.end())
		cout << "Punkt gefunden, Index: " << (i - s.begin()) << endl;
	transform(s.begin(), s.end(), s.begin(), toupper);
	cout << "nach transform: ";
	ostream_iterator<char> oi(cout);
	copy(s.begin(), s.end(), oi);
	reverse(s.begin(), s.end());
	cout << "\nnach reverse: ";
	copy(s.begin(), s.end(), oi);
	replace(s.begin(), s.end(), ' ', '#');
	sort(s.begin(), s.end());
	cout << "\nnach replace und sort: ";
	copy(s.begin(), s.end(), oi);
}
