#include <complex>
#include <iostream>
#include <iomanip>
using namespace std;

void gleichung_loesen(double a, double b, double c, double d) {
	cout << "Gleichung: " << a << "*x*x "
		<< setiosflags(ios::showpos) << b << "*x " << c
		<< " = " << resetiosflags(ios::showpos) << d;
	const double p = b / a, q = (c - d) / a;
	const complex<double> r = p * p / 4 - q;
	const complex<double> x1 = -p / 2 + sqrt(r), x2 = -p / 2 - sqrt(r);
	if (x1 != x2)
		cout << "\nLsungen: x1 = " << x1 << " und x2 = " << x2 << endl;
	else
		cout << "\nLsung: x = " << x1 << endl;
}

int main() {
	gleichung_loesen(2, 2, -3, 1);
	gleichung_loesen(1, -2, 1, 0);
	gleichung_loesen(1, 2, 2, 0);
}
